<?php

namespace Drupal\cookiepro_plus;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Symfony\Component\DependencyInjection\Reference;

/**
 * Adds event subscriber if 'language_request_subscriber' service exists.
 */
class CookieproPlusServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function register(ContainerBuilder $container): void {

    // The following service depends on the core language module, to open up
    // config overrides when language negotiation by URL and domain, is enabled.
    if ($container->has('language_request_subscriber')) {
      $container->register('cookiepro_plus.request_subscriber', 'Drupal\cookiepro_plus\EventSubscriber\RequestSubscriber')
        ->addTag('event_subscriber')
        ->addArgument(new Reference('cookiepro_plus'))
        ->addArgument(new Reference('language_manager'));
    }
  }

}
